Skip to content

List article versions

Request

Fetch the version history of an article by making a GET request to https://api.intercom.io/articles/<article_id>/versions. Versions are returned newest-first as a paginated list of metadata. Use GET /articles/{article_id}/versions/{id} to retrieve a single version with its full content.

A 404 has an empty response body, whether the article or its content isn't found.

Requires the read_articles_scope OAuth scope.

Security
bearerAuth
Path
article_idintegerrequired

The unique identifier for the article whose versions you are listing.

Example:123
Query
pageinteger

The page of results to fetch. Defaults to the first page.

Example:page=1
per_pageinteger

The number of results to return per page. Defaults to 10.

Example:per_page=10
localestring

Filter versions to a specific locale. Use the locale identifier (for example en, fr). If the article has no content in that locale, a 400 is returned.

Example:locale=en
Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
If you omit the header, the API uses the version set in your app package, and 1.0 if none is set.

Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.17
curl -i -X GET \
  'https://api.intercom.io/articles/123/versions?page=1&per_page=10&locale=en' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.17'

Responses

Versions found

Bodyapplication/json
typestring

The type of the object - list.

Value:"list"
Example:"list"

The majority of list resources in the API are paginated to allow clients to traverse data over multiple requests.

Their responses are likely to contain a pages object that hosts pagination links which a client can use to paginate through the data without having to construct a query. The link relations for the pages field are as follows.

total_countinteger

A count of the total number of versions.

Example:2
dataArray of objects(Article Version Summary)

An array of Article version summary objects.

Response
{ "type": "list", "pages": { "type": "pages", "page": 1, "per_page": 10, "total_pages": 1 }, "total_count": 2, "data": [ { … }, { … } ] }